Bug 492600 - (oxygen-icon-theme) Review Request: oxygen-icon-theme - Oxygen Icon Theme
Review Request: oxygen-icon-theme - Oxygen Icon Theme
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 12:43 EDT by Rex Dieter
Modified: 2009-07-26 16:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-26 16:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-03-27 12:43:59 EDT
Spec URL: http://rdieter.fedorapeople.org/pkg-reviews/oxygen-icon-theme/oxygen-icon-theme.spec
SRPM URL: http://rdieter.fedorapeople.org/pkg-reviews/oxygen-icon-theme/oxygen-icon-theme-4.2.1-10.fc10.src.rpm
Description: Oxygen Icon Theme

This was once packaged as part of kdebase-runtime, but upstream kde-artwork team has pending plans to release oxygen separately.  This submission currently still uses the kdebase-runtime tarball, and serves as an intermediate step so that we're ready when proper oxygen releases happen.
Comment 1 Jaroslav Reznik 2009-03-30 11:12:37 EDT
package name: OK
SPEC name matches package name: OK
rpmlint: NOT OK
  - oxygen-icon-theme.noarch: W: no-documentation
  - there are docs in pics/oxygen/, at least COPYING has to be distributed with this package
buildroot: OK
license: NOT OK
  - oxygen theme is licensed under LGPLv3+ not GPLv2
source md5 matches upstream: OK
buildrequires: OK
  - remove bogus BRs after oxygen standalone release
package owns created dirs: NOT OK?
  - main package: OK
  - scalable: ? as rpmls doesn't list created directories
permissions: OK
clean section: OK
no dupes: OK
package builds on: F10
Comment 2 Rex Dieter 2009-03-30 11:29:24 EDT
* Mon Mar 30 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-11
- License: LGPLv3+
- %%doc: AUTHORS CONTRIBUTING COPYING TODO*

Spec URL:
http://rdieter.fedorapeople.org/pkg-reviews/oxygen-icon-theme/oxygen-icon-theme.spec

(didn't re-up the biggish srpm)
Comment 3 Jaroslav Reznik 2009-03-30 11:47:38 EDT
Ok, thanks.
I'm not sure about owner of all scalable directories.
Comment 4 Rex Dieter 2009-03-30 14:08:23 EDT
The parent pkg owns all dirs.

Fwiw, it would seem that for future releases, it would appear that upstream will drop these from distribution anyway.
Comment 5 Jaroslav Reznik 2009-03-30 16:19:23 EDT
Well, APPROVED.
Comment 6 Rex Dieter 2009-03-30 16:47:26 EDT
New Package CVS Request
=======================
Package Name: oxygen-icon-theme
Short Description: Oxygen Icon Theme
Owners: rdieter,than,jreznik,ltinkl,kkofler
Branches: F-9 F-10
Comment 7 Kevin Fenzi 2009-03-30 17:37:14 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.